### Method

# Vips Image reorder_prepare_many

#### Declaration [src]

    int
    vips_reorder_prepare_many (
      VipsImage* image,
      VipsRegion** regions,
      VipsRect* r
    )

#### Description [src]

`vips_reorder_prepare_many()` runs `vips_region_prepare()` on each region in `regions`, requesting the pixels in `r`.

It tries to request the regions in the order which will cause least recomputation. This can give a large speedup, in some cases.

See also

`vips_region_prepare()`, `vips_reorder_margin_hint()`.

#### Parameters

`regions`

  Type: An array of `VipsRegion*`

  The set of regions to prepare.

  The data is owned by the caller of the method.

`r`

  Type: `VipsRect`

  The `VipsRect` to prepare on each region.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 on error.